# -*- coding: utf-8 -*-
"""
@author: yq
@time: 2024/11/25
@desc: 特征筛选策略工厂
"""
from entitys import DataProcessConfigEntity
from enums import FilterStrategyEnum
from .filter_strategy_base import FilterStrategyBase
from .strategy_iv import StrategyIv


class FilterStrategyFactory():

    def __init__(self, data_process_config: DataProcessConfigEntity, *args, **kwargs):
        self._data_process_config = data_process_config
        self.strategy_map = {
            FilterStrategyEnum.IV.value: StrategyIv(data_process_config, *args, **kwargs)
        }

    def get_strategy(self, ) -> FilterStrategyBase:
        strategy = self.strategy_map.get(self._data_process_config.feature_search_strategy)
        return strategy
